package javax.swing.plaf.synth;

import java.awt.Graphics;
import javax.swing.Icon;
import javax.swing.AbstractButton;
import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;

public class SynthRadioButtonUI extends SynthToggleButtonUI
{
    public SynthRadioButtonUI() {
    }
    
    public static ComponentUI createUI(JComponent component) {
        return new SynthRadioButtonUI();
    }
    
    @Override
    protected String getPropertyPrefix() {
        return "RadioButton.";
    }
    
    @Override
    protected Icon getSizingIcon(AbstractButton abstractButton) {
        return this.getIcon(abstractButton);
    }
    
    @Override
    void paintBackground(SynthContext synthContext, Graphics graphics, JComponent component) {
        synthContext.getPainter().paintRadioButtonBackground(synthContext, graphics, 0, 0, component.getWidth(), component.getHeight());
    }
    
    @Override
    public void paintBorder(SynthContext synthContext, Graphics graphics, int n, int n2, int n3, int n4) {
        synthContext.getPainter().paintRadioButtonBorder(synthContext, graphics, n, n2, n3, n4);
    }
}
